<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "distribuidorinfo.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$distribuidor_edit = new cdistribuidor_edit();
$Page =& $distribuidor_edit;

// Page init processing
$distribuidor_edit->Page_Init();

// Page main processing
$distribuidor_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var distribuidor_edit = new ew_Page("distribuidor_edit");

// page properties
distribuidor_edit.PageID = "edit"; // page ID
var EW_PAGE_ID = distribuidor_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
distribuidor_edit.ValidateForm = function(fobj) {
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
distribuidor_edit.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
distribuidor_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
distribuidor_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><img src='images/edit.gif' width='16' height='16' border='0' alt='Editar'> TABLA: Distribuidor<br><br>
<a href="<?php echo $distribuidor->getReturnUrl() ?>">Regresar</a></span></p>
<?php $distribuidor_edit->ShowMessage() ?>
<form name="fdistribuidoredit" id="fdistribuidoredit" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return distribuidor_edit.ValidateForm(this);">
<p>
<input type="hidden" name="a_table" id="a_table" value="distribuidor">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($distribuidor->id_distribuidor->Visible) { // id_distribuidor ?>
	<tr<?php echo $distribuidor->id_distribuidor->RowAttributes ?>>
		<td class="ewTableHeader">Id Distribuidor</td>
		<td<?php echo $distribuidor->id_distribuidor->CellAttributes() ?>><span id="el_id_distribuidor">
<div<?php echo $distribuidor->id_distribuidor->ViewAttributes() ?>><?php echo $distribuidor->id_distribuidor->EditValue ?></div><input type="hidden" name="x_id_distribuidor" id="x_id_distribuidor" value="<?php echo ew_HtmlEncode($distribuidor->id_distribuidor->CurrentValue) ?>">
</span><?php echo $distribuidor->id_distribuidor->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($distribuidor->empresa->Visible) { // empresa ?>
	<tr<?php echo $distribuidor->empresa->RowAttributes ?>>
		<td class="ewTableHeader">Empresa</td>
		<td<?php echo $distribuidor->empresa->CellAttributes() ?>><span id="el_empresa">
<input type="text" name="x_empresa" id="x_empresa" size="30" maxlength="255" value="<?php echo $distribuidor->empresa->EditValue ?>"<?php echo $distribuidor->empresa->EditAttributes() ?>>
</span><?php echo $distribuidor->empresa->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($distribuidor->contacto->Visible) { // contacto ?>
	<tr<?php echo $distribuidor->contacto->RowAttributes ?>>
		<td class="ewTableHeader">Contacto</td>
		<td<?php echo $distribuidor->contacto->CellAttributes() ?>><span id="el_contacto">
<input type="text" name="x_contacto" id="x_contacto" size="30" maxlength="255" value="<?php echo $distribuidor->contacto->EditValue ?>"<?php echo $distribuidor->contacto->EditAttributes() ?>>
</span><?php echo $distribuidor->contacto->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($distribuidor->email->Visible) { // email ?>
	<tr<?php echo $distribuidor->email->RowAttributes ?>>
		<td class="ewTableHeader">Email</td>
		<td<?php echo $distribuidor->email->CellAttributes() ?>><span id="el_email">
<input type="text" name="x_email" id="x_email" size="30" maxlength="255" value="<?php echo $distribuidor->email->EditValue ?>"<?php echo $distribuidor->email->EditAttributes() ?>>
</span><?php echo $distribuidor->email->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($distribuidor->direccion->Visible) { // direccion ?>
	<tr<?php echo $distribuidor->direccion->RowAttributes ?>>
		<td class="ewTableHeader">Direccion</td>
		<td<?php echo $distribuidor->direccion->CellAttributes() ?>><span id="el_direccion">
<input type="text" name="x_direccion" id="x_direccion" size="30" maxlength="255" value="<?php echo $distribuidor->direccion->EditValue ?>"<?php echo $distribuidor->direccion->EditAttributes() ?>>
</span><?php echo $distribuidor->direccion->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($distribuidor->telefonos->Visible) { // telefonos ?>
	<tr<?php echo $distribuidor->telefonos->RowAttributes ?>>
		<td class="ewTableHeader">Telefonos</td>
		<td<?php echo $distribuidor->telefonos->CellAttributes() ?>><span id="el_telefonos">
<input type="text" name="x_telefonos" id="x_telefonos" size="30" maxlength="255" value="<?php echo $distribuidor->telefonos->EditValue ?>"<?php echo $distribuidor->telefonos->EditAttributes() ?>>
</span><?php echo $distribuidor->telefonos->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($distribuidor->password->Visible) { // password ?>
	<tr<?php echo $distribuidor->password->RowAttributes ?>>
		<td class="ewTableHeader">Password</td>
		<td<?php echo $distribuidor->password->CellAttributes() ?>><span id="el_password">
<input type="password" name="x_password" id="x_password" value="<?php echo $distribuidor->password->EditValue ?>" size="30" maxlength="50"<?php echo $distribuidor->password->EditAttributes() ?>>
</span><?php echo $distribuidor->password->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($distribuidor->habilitado->Visible) { // habilitado ?>
	<tr<?php echo $distribuidor->habilitado->RowAttributes ?>>
		<td class="ewTableHeader">Habilitado</td>
		<td<?php echo $distribuidor->habilitado->CellAttributes() ?>><span id="el_habilitado">
<div id="tp_x_habilitado" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_habilitado" id="x_habilitado" value="{value}"<?php echo $distribuidor->habilitado->EditAttributes() ?>></div>
<div id="dsl_x_habilitado" repeatcolumn="5">
<?php
$arwrk = $distribuidor->habilitado->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($distribuidor->habilitado->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_habilitado" id="x_habilitado" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $distribuidor->habilitado->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
</span><?php echo $distribuidor->habilitado->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="  Editar  ">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class cdistribuidor_edit {

	// Page ID
	var $PageID = 'edit';

	// Table Name
	var $TableName = 'distribuidor';

	// Page Object Name
	var $PageObjName = 'distribuidor_edit';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $distribuidor;
		if ($distribuidor->UseTokenInUrl) $PageUrl .= "t=" . $distribuidor->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $distribuidor;
		if ($distribuidor->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($distribuidor->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($distribuidor->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function cdistribuidor_edit() {
		global $conn;

		// Initialize table object
		$GLOBALS["distribuidor"] = new cdistribuidor();

		// Initialize other table object
		$GLOBALS['usuario'] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'distribuidor', TRUE);

		// Open connection to the database
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $distribuidor;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}

	// 
	// Page main processing
	//
	function Page_Main() {
		global $objForm, $gsFormError, $distribuidor;

		// Load key from QueryString
		if (@$_GET["id_distribuidor"] <> "")
			$distribuidor->id_distribuidor->setQueryStringValue($_GET["id_distribuidor"]);

		// Create form object
		$objForm = new cFormObj();
		if (@$_POST["a_edit"] <> "") {
			$distribuidor->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values

			// Validate Form
			if (!$this->ValidateForm()) {
				$distribuidor->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
			}
		} else {
			$distribuidor->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($distribuidor->id_distribuidor->CurrentValue == "")
			$this->Page_Terminate("distribuidorlist.php"); // Invalid key, return to list
		switch ($distribuidor->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage("No se encontraron registros"); // No record found
					$this->Page_Terminate("distribuidorlist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$distribuidor->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage("Actualizar exitoso"); // Update success
					$sReturnUrl = $distribuidor->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$distribuidor->RowType = EW_ROWTYPE_EDIT; // Render as edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $distribuidor;

		// Get upload data
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $distribuidor;
		$distribuidor->id_distribuidor->setFormValue($objForm->GetValue("x_id_distribuidor"));
		$distribuidor->empresa->setFormValue($objForm->GetValue("x_empresa"));
		$distribuidor->contacto->setFormValue($objForm->GetValue("x_contacto"));
		$distribuidor->email->setFormValue($objForm->GetValue("x_email"));
		$distribuidor->direccion->setFormValue($objForm->GetValue("x_direccion"));
		$distribuidor->telefonos->setFormValue($objForm->GetValue("x_telefonos"));
		$distribuidor->password->setFormValue($objForm->GetValue("x_password"));
		$distribuidor->habilitado->setFormValue($objForm->GetValue("x_habilitado"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $distribuidor;
		$this->LoadRow();
		$distribuidor->id_distribuidor->CurrentValue = $distribuidor->id_distribuidor->FormValue;
		$distribuidor->empresa->CurrentValue = $distribuidor->empresa->FormValue;
		$distribuidor->contacto->CurrentValue = $distribuidor->contacto->FormValue;
		$distribuidor->email->CurrentValue = $distribuidor->email->FormValue;
		$distribuidor->direccion->CurrentValue = $distribuidor->direccion->FormValue;
		$distribuidor->telefonos->CurrentValue = $distribuidor->telefonos->FormValue;
		$distribuidor->password->CurrentValue = $distribuidor->password->FormValue;
		$distribuidor->habilitado->CurrentValue = $distribuidor->habilitado->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $distribuidor;
		$sFilter = $distribuidor->KeyFilter();

		// Call Row Selecting event
		$distribuidor->Row_Selecting($sFilter);

		// Load sql based on filter
		$distribuidor->CurrentFilter = $sFilter;
		$sSql = $distribuidor->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$distribuidor->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $distribuidor;
		$distribuidor->id_distribuidor->setDbValue($rs->fields('id_distribuidor'));
		$distribuidor->empresa->setDbValue($rs->fields('empresa'));
		$distribuidor->contacto->setDbValue($rs->fields('contacto'));
		$distribuidor->email->setDbValue($rs->fields('email'));
		$distribuidor->direccion->setDbValue($rs->fields('direccion'));
		$distribuidor->telefonos->setDbValue($rs->fields('telefonos'));
		$distribuidor->password->setDbValue($rs->fields('password'));
		$distribuidor->habilitado->setDbValue($rs->fields('habilitado'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $distribuidor;

		// Call Row_Rendering event
		$distribuidor->Row_Rendering();

		// Common render codes for all row types
		// id_distribuidor

		$distribuidor->id_distribuidor->CellCssStyle = "";
		$distribuidor->id_distribuidor->CellCssClass = "";

		// empresa
		$distribuidor->empresa->CellCssStyle = "";
		$distribuidor->empresa->CellCssClass = "";

		// contacto
		$distribuidor->contacto->CellCssStyle = "";
		$distribuidor->contacto->CellCssClass = "";

		// email
		$distribuidor->email->CellCssStyle = "";
		$distribuidor->email->CellCssClass = "";

		// direccion
		$distribuidor->direccion->CellCssStyle = "";
		$distribuidor->direccion->CellCssClass = "";

		// telefonos
		$distribuidor->telefonos->CellCssStyle = "";
		$distribuidor->telefonos->CellCssClass = "";

		// password
		$distribuidor->password->CellCssStyle = "";
		$distribuidor->password->CellCssClass = "";

		// habilitado
		$distribuidor->habilitado->CellCssStyle = "";
		$distribuidor->habilitado->CellCssClass = "";
		if ($distribuidor->RowType == EW_ROWTYPE_VIEW) { // View row

			// id_distribuidor
			$distribuidor->id_distribuidor->ViewValue = $distribuidor->id_distribuidor->CurrentValue;
			$distribuidor->id_distribuidor->CssStyle = "";
			$distribuidor->id_distribuidor->CssClass = "";
			$distribuidor->id_distribuidor->ViewCustomAttributes = "";

			// empresa
			$distribuidor->empresa->ViewValue = $distribuidor->empresa->CurrentValue;
			$distribuidor->empresa->CssStyle = "";
			$distribuidor->empresa->CssClass = "";
			$distribuidor->empresa->ViewCustomAttributes = "";

			// contacto
			$distribuidor->contacto->ViewValue = $distribuidor->contacto->CurrentValue;
			$distribuidor->contacto->CssStyle = "";
			$distribuidor->contacto->CssClass = "";
			$distribuidor->contacto->ViewCustomAttributes = "";

			// email
			$distribuidor->email->ViewValue = $distribuidor->email->CurrentValue;
			$distribuidor->email->CssStyle = "";
			$distribuidor->email->CssClass = "";
			$distribuidor->email->ViewCustomAttributes = "";

			// direccion
			$distribuidor->direccion->ViewValue = $distribuidor->direccion->CurrentValue;
			$distribuidor->direccion->CssStyle = "";
			$distribuidor->direccion->CssClass = "";
			$distribuidor->direccion->ViewCustomAttributes = "";

			// telefonos
			$distribuidor->telefonos->ViewValue = $distribuidor->telefonos->CurrentValue;
			$distribuidor->telefonos->CssStyle = "";
			$distribuidor->telefonos->CssClass = "";
			$distribuidor->telefonos->ViewCustomAttributes = "";

			// password
			$distribuidor->password->ViewValue = "********";
			$distribuidor->password->CssStyle = "";
			$distribuidor->password->CssClass = "";
			$distribuidor->password->ViewCustomAttributes = "";

			// habilitado
			if (strval($distribuidor->habilitado->CurrentValue) <> "") {
				switch ($distribuidor->habilitado->CurrentValue) {
					case "1":
						$distribuidor->habilitado->ViewValue = "Si";
						break;
					case "0":
						$distribuidor->habilitado->ViewValue = "No";
						break;
					default:
						$distribuidor->habilitado->ViewValue = $distribuidor->habilitado->CurrentValue;
				}
			} else {
				$distribuidor->habilitado->ViewValue = NULL;
			}
			$distribuidor->habilitado->CssStyle = "";
			$distribuidor->habilitado->CssClass = "";
			$distribuidor->habilitado->ViewCustomAttributes = "";

			// id_distribuidor
			$distribuidor->id_distribuidor->HrefValue = "";

			// empresa
			$distribuidor->empresa->HrefValue = "";

			// contacto
			$distribuidor->contacto->HrefValue = "";

			// email
			if (!is_null($distribuidor->email->CurrentValue)) {
				$distribuidor->email->HrefValue = ((!empty($distribuidor->email->ViewValue)) ? $distribuidor->email->ViewValue : $distribuidor->email->CurrentValue);
				if ($distribuidor->Export <> "") $distribuidor->email->HrefValue = ew_ConvertFullUrl($distribuidor->email->HrefValue);
			} else {
				$distribuidor->email->HrefValue = "";
			}

			// direccion
			$distribuidor->direccion->HrefValue = "";

			// telefonos
			$distribuidor->telefonos->HrefValue = "";

			// password
			$distribuidor->password->HrefValue = "";

			// habilitado
			$distribuidor->habilitado->HrefValue = "";
		} elseif ($distribuidor->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// id_distribuidor
			$distribuidor->id_distribuidor->EditCustomAttributes = "";
			$distribuidor->id_distribuidor->EditValue = $distribuidor->id_distribuidor->CurrentValue;
			$distribuidor->id_distribuidor->CssStyle = "";
			$distribuidor->id_distribuidor->CssClass = "";
			$distribuidor->id_distribuidor->ViewCustomAttributes = "";

			// empresa
			$distribuidor->empresa->EditCustomAttributes = "";
			$distribuidor->empresa->EditValue = ew_HtmlEncode($distribuidor->empresa->CurrentValue);

			// contacto
			$distribuidor->contacto->EditCustomAttributes = "";
			$distribuidor->contacto->EditValue = ew_HtmlEncode($distribuidor->contacto->CurrentValue);

			// email
			$distribuidor->email->EditCustomAttributes = "";
			$distribuidor->email->EditValue = ew_HtmlEncode($distribuidor->email->CurrentValue);

			// direccion
			$distribuidor->direccion->EditCustomAttributes = "";
			$distribuidor->direccion->EditValue = ew_HtmlEncode($distribuidor->direccion->CurrentValue);

			// telefonos
			$distribuidor->telefonos->EditCustomAttributes = "";
			$distribuidor->telefonos->EditValue = ew_HtmlEncode($distribuidor->telefonos->CurrentValue);

			// password
			$distribuidor->password->EditCustomAttributes = "";
			$distribuidor->password->EditValue = ew_HtmlEncode($distribuidor->password->CurrentValue);

			// habilitado
			$distribuidor->habilitado->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array("1", "Si");
			$arwrk[] = array("0", "No");
			$distribuidor->habilitado->EditValue = $arwrk;

			// Edit refer script
			// id_distribuidor

			$distribuidor->id_distribuidor->HrefValue = "";

			// empresa
			$distribuidor->empresa->HrefValue = "";

			// contacto
			$distribuidor->contacto->HrefValue = "";

			// email
			if (!is_null($distribuidor->email->CurrentValue)) {
				$distribuidor->email->HrefValue = ((!empty($distribuidor->email->EditValue)) ? $distribuidor->email->EditValue : $distribuidor->email->CurrentValue);
				if ($distribuidor->Export <> "") $distribuidor->email->HrefValue = ew_ConvertFullUrl($distribuidor->email->HrefValue);
			} else {
				$distribuidor->email->HrefValue = "";
			}

			// direccion
			$distribuidor->direccion->HrefValue = "";

			// telefonos
			$distribuidor->telefonos->HrefValue = "";

			// password
			$distribuidor->password->HrefValue = "";

			// habilitado
			$distribuidor->habilitado->HrefValue = "";
		}

		// Call Row Rendered event
		$distribuidor->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $gsFormError, $distribuidor;

		// Initialize
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $distribuidor;
		$sFilter = $distribuidor->KeyFilter();
		$distribuidor->CurrentFilter = $sFilter;
		$sSql = $distribuidor->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// Field id_distribuidor
			// Field empresa

			$distribuidor->empresa->SetDbValueDef($distribuidor->empresa->CurrentValue, NULL);
			$rsnew['empresa'] =& $distribuidor->empresa->DbValue;

			// Field contacto
			$distribuidor->contacto->SetDbValueDef($distribuidor->contacto->CurrentValue, NULL);
			$rsnew['contacto'] =& $distribuidor->contacto->DbValue;

			// Field email
			$distribuidor->email->SetDbValueDef($distribuidor->email->CurrentValue, NULL);
			$rsnew['email'] =& $distribuidor->email->DbValue;

			// Field direccion
			$distribuidor->direccion->SetDbValueDef($distribuidor->direccion->CurrentValue, NULL);
			$rsnew['direccion'] =& $distribuidor->direccion->DbValue;

			// Field telefonos
			$distribuidor->telefonos->SetDbValueDef($distribuidor->telefonos->CurrentValue, NULL);
			$rsnew['telefonos'] =& $distribuidor->telefonos->DbValue;

			// Field password
			$distribuidor->password->SetDbValueDef($distribuidor->password->CurrentValue, NULL);
			$rsnew['password'] =& $distribuidor->password->DbValue;

			// Field habilitado
			$distribuidor->habilitado->SetDbValueDef($distribuidor->habilitado->CurrentValue, NULL);
			$rsnew['habilitado'] =& $distribuidor->habilitado->DbValue;

			// Call Row Updating event
			$bUpdateRow = $distribuidor->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($distribuidor->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($distribuidor->CancelMessage <> "") {
					$this->setMessage($distribuidor->CancelMessage);
					$distribuidor->CancelMessage = "";
				} else {
					$this->setMessage("Actualizar cancelado");
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$distribuidor->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
